Issue #8124 has been updated by artagnon (Ramkumar Ramachandra).


    $ gem sources
    *** CURRENT SOURCES ***

    http://rubygems.org/

Like I said, I'm not able to reproduce the issue, even after a `gem sources -c`.  The issue I'm pointing out here is that the error reported on the original issue is completely stupid and wrong- it should never be printed, no matter what the circumstance.  Unfortunately, unless someone can figure out how to reproduce it, I see no way to make headway.
----------------------------------------
Bug #8124: gem fails to install valid gems
https://bugs.ruby-lang.org/issues/8124#change-37755

Author: artagnon (Ramkumar Ramachandra)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: 2.0.0p0


I'm not able to reproduce this, but many people have reported it on occasion.

    $ gem install bundler
    ERROR:  Could not find a valid gem 'bundler' (>= 0) in any repository
    ERROR:  Possible alternatives: bundler

Can anyone confirm this?


-- 
http://bugs.ruby-lang.org/